---
apiVersion: batch/v1
kind: Job
metadata:
  labels:
    app: "{{ k8s_gpu_burn_test_name }}"
    node: "{{ k8s_gpu_burn_test_node }}"
  name: "{{ k8s_gpu_burn_test_name }}-{{ k8s_gpu_burn_test_node }}"
  namespace: "{{ k8s_gpu_burn_test_namespace }}"
spec:
  ttlSecondsAfterFinished: {{ k8s_gpu_burn_test_ttlSecondsAfterFinished }}
  template:
    spec:
      runtimeClassName: "nvidia"
      restartPolicy: Never
      affinity:
        nodeAffinity:
          requiredDuringSchedulingIgnoredDuringExecution:
            nodeSelectorTerms:
            - matchExpressions:
              - key: kubernetes.io/hostname
                operator: In
                values: 
                  - "{{ k8s_gpu_burn_test_node }}"
      containers:
      - image: oguzpastirmaci/gpu-burn
        name: "{{ k8s_gpu_burn_test_name }}"
        resources:
          limits:
            nvidia.com/gpu: 1 # requesting 1 GPU
        args:
        - "{{ k8s_gpu_burn_test_seconds }}"
